nxt.blockchain

## Enum TransactionTypeEnum

- java.lang.Object
- - java.lang.Enum<TransactionTypeEnum>
  - - nxt.blockchain.TransactionTypeEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TransactionTypeEnum>

      public enum TransactionTypeEnum
      extends java.lang.Enum<TransactionTypeEnum>

  Important! Whenever adding or changing a value run the main menu to generate the constants in the Constants inner class

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACCOUNT_INFO`
    `ACCOUNT_PROPERTY_DELETE`
    `ACCOUNT_PROPERTY_SET`
    `ALIAS_ASSIGNMENT`
    `ALIAS_BUY`
    `ALIAS_DELETE`
    `ALIAS_SELL`
    `ASSET_ASK_ORDER_CANCELLATION`
    `ASSET_ASK_ORDER_PLACEMENT`
    `ASSET_BID_ORDER_CANCELLATION`
    `ASSET_BID_ORDER_PLACEMENT`
    `ASSET_DELETE`
    `ASSET_DIVIDEND_PAYMENTreturn`
    `ASSET_INCREASE`
    `ASSET_ISSUANCE`
    `ASSET_PROPERTY_DELETE`
    `ASSET_PROPERTY_SET`
    `ASSET_SET_PHASING_CONTROL`
    `ASSET_TRANSFER`
    `CHILD_BLOCK`
    `CHILD_PAYMENT`
    `COIN_EXCHANGE_ORDER_CANCEL`
    `COIN_EXCHANGE_ORDER_ISSUE`
    `CONTRACT_REFERENCE_DELETE`
    `CONTRACT_REFERENCE_SET`
    `DGS_DELISTING`
    `DGS_DELIVERY`
    `DGS_FEEDBACK`
    `DGS_LISTING`
    `DGS_PRICE_CHANGE`
    `DGS_PURCHASE`
    `DGS_QUANTITY_CHANGE`
    `DGS_REFUND`
    `LEASING`
    `MS_CURRENCY_DELETION`
    `MS_CURRENCY_ISSUANCE`
    `MS_CURRENCY_MINTING`
    `MS_CURRENCY_TRANSFER`
    `MS_EXCHANGE_BUY`
    `MS_EXCHANGE_SELL`
    `MS_PUBLISH_EXCHANGE_OFFER`
    `MS_RESERVE_CLAIM`
    `MS_RESERVE_INCREASE`
    `PARENT_ORDER_CANCEL`
    `PARENT_ORDER_ISSUE`
    `PARENT_PAYMENT`
    `PHASING_VOTE_CASTING`
    `POLL_CREATION`
    `SEND_MESSAGE`
    `SET_PHASING_ONLY`
    `SHUFFLING_CANCELLATION`
    `SHUFFLING_CREATION`
    `SHUFFLING_PROCESSING`
    `SHUFFLING_RECIPIENTS`
    `SHUFFLING_REGISTRATION`
    `SHUFFLING_VERIFICATION`
    `TAGGED_DATA_UPLOAD`
    `VOTE_CASTING`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TransactionType` | `getTransactionType()`
    `static TransactionTypeEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TransactionTypeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CHILD_BLOCK

          public static final TransactionTypeEnum CHILD_BLOCK

    - #### PARENT_PAYMENT

          public static final TransactionTypeEnum PARENT_PAYMENT

    - #### LEASING

          public static final TransactionTypeEnum LEASING

    - #### PARENT_ORDER_ISSUE

          public static final TransactionTypeEnum PARENT_ORDER_ISSUE

    - #### PARENT_ORDER_CANCEL

          public static final TransactionTypeEnum PARENT_ORDER_CANCEL

    - #### CHILD_PAYMENT

          public static final TransactionTypeEnum CHILD_PAYMENT

    - #### SEND_MESSAGE

          public static final TransactionTypeEnum SEND_MESSAGE

    - #### ASSET_ISSUANCE

          public static final TransactionTypeEnum ASSET_ISSUANCE

    - #### ASSET_TRANSFER

          public static final TransactionTypeEnum ASSET_TRANSFER

    - #### ASSET_ASK_ORDER_PLACEMENT

          public static final TransactionTypeEnum ASSET_ASK_ORDER_PLACEMENT

    - #### ASSET_BID_ORDER_PLACEMENT

          public static final TransactionTypeEnum ASSET_BID_ORDER_PLACEMENT

    - #### ASSET_ASK_ORDER_CANCELLATION

          public static final TransactionTypeEnum ASSET_ASK_ORDER_CANCELLATION

    - #### ASSET_BID_ORDER_CANCELLATION

          public static final TransactionTypeEnum ASSET_BID_ORDER_CANCELLATION

    - #### ASSET_DIVIDEND_PAYMENTreturn

          public static final TransactionTypeEnum ASSET_DIVIDEND_PAYMENTreturn

    - #### ASSET_DELETE

          public static final TransactionTypeEnum ASSET_DELETE

    - #### ASSET_INCREASE

          public static final TransactionTypeEnum ASSET_INCREASE

    - #### ASSET_SET_PHASING_CONTROL

          public static final TransactionTypeEnum ASSET_SET_PHASING_CONTROL

    - #### ASSET_PROPERTY_SET

          public static final TransactionTypeEnum ASSET_PROPERTY_SET

    - #### ASSET_PROPERTY_DELETE

          public static final TransactionTypeEnum ASSET_PROPERTY_DELETE

    - #### DGS_LISTING

          public static final TransactionTypeEnum DGS_LISTING

    - #### DGS_DELISTING

          public static final TransactionTypeEnum DGS_DELISTING

    - #### DGS_PRICE_CHANGE

          public static final TransactionTypeEnum DGS_PRICE_CHANGE

    - #### DGS_QUANTITY_CHANGE

          public static final TransactionTypeEnum DGS_QUANTITY_CHANGE

    - #### DGS_PURCHASE

          public static final TransactionTypeEnum DGS_PURCHASE

    - #### DGS_DELIVERY

          public static final TransactionTypeEnum DGS_DELIVERY

    - #### DGS_FEEDBACK

          public static final TransactionTypeEnum DGS_FEEDBACK

    - #### DGS_REFUND

          public static final TransactionTypeEnum DGS_REFUND

    - #### SET_PHASING_ONLY

          public static final TransactionTypeEnum SET_PHASING_ONLY

    - #### MS_CURRENCY_ISSUANCE

          public static final TransactionTypeEnum MS_CURRENCY_ISSUANCE

    - #### MS_RESERVE_INCREASE

          public static final TransactionTypeEnum MS_RESERVE_INCREASE

    - #### MS_RESERVE_CLAIM

          public static final TransactionTypeEnum MS_RESERVE_CLAIM

    - #### MS_CURRENCY_TRANSFER

          public static final TransactionTypeEnum MS_CURRENCY_TRANSFER

    - #### MS_PUBLISH_EXCHANGE_OFFER

          public static final TransactionTypeEnum MS_PUBLISH_EXCHANGE_OFFER

    - #### MS_EXCHANGE_BUY

          public static final TransactionTypeEnum MS_EXCHANGE_BUY

    - #### MS_EXCHANGE_SELL

          public static final TransactionTypeEnum MS_EXCHANGE_SELL

    - #### MS_CURRENCY_MINTING

          public static final TransactionTypeEnum MS_CURRENCY_MINTING

    - #### MS_CURRENCY_DELETION

          public static final TransactionTypeEnum MS_CURRENCY_DELETION

    - #### TAGGED_DATA_UPLOAD

          public static final TransactionTypeEnum TAGGED_DATA_UPLOAD

    - #### SHUFFLING_CREATION

          public static final TransactionTypeEnum SHUFFLING_CREATION

    - #### SHUFFLING_REGISTRATION

          public static final TransactionTypeEnum SHUFFLING_REGISTRATION

    - #### SHUFFLING_PROCESSING

          public static final TransactionTypeEnum SHUFFLING_PROCESSING

    - #### SHUFFLING_RECIPIENTS

          public static final TransactionTypeEnum SHUFFLING_RECIPIENTS

    - #### SHUFFLING_VERIFICATION

          public static final TransactionTypeEnum SHUFFLING_VERIFICATION

    - #### SHUFFLING_CANCELLATION

          public static final TransactionTypeEnum SHUFFLING_CANCELLATION

    - #### ALIAS_ASSIGNMENT

          public static final TransactionTypeEnum ALIAS_ASSIGNMENT

    - #### ALIAS_BUY

          public static final TransactionTypeEnum ALIAS_BUY

    - #### ALIAS_SELL

          public static final TransactionTypeEnum ALIAS_SELL

    - #### ALIAS_DELETE

          public static final TransactionTypeEnum ALIAS_DELETE

    - #### POLL_CREATION

          public static final TransactionTypeEnum POLL_CREATION

    - #### VOTE_CASTING

          public static final TransactionTypeEnum VOTE_CASTING

    - #### PHASING_VOTE_CASTING

          public static final TransactionTypeEnum PHASING_VOTE_CASTING

    - #### ACCOUNT_INFO

          public static final TransactionTypeEnum ACCOUNT_INFO

    - #### ACCOUNT_PROPERTY_SET

          public static final TransactionTypeEnum ACCOUNT_PROPERTY_SET

    - #### ACCOUNT_PROPERTY_DELETE

          public static final TransactionTypeEnum ACCOUNT_PROPERTY_DELETE

    - #### COIN_EXCHANGE_ORDER_ISSUE

          public static final TransactionTypeEnum COIN_EXCHANGE_ORDER_ISSUE

    - #### COIN_EXCHANGE_ORDER_CANCEL

          public static final TransactionTypeEnum COIN_EXCHANGE_ORDER_CANCEL

    - #### CONTRACT_REFERENCE_SET

          public static final TransactionTypeEnum CONTRACT_REFERENCE_SET

    - #### CONTRACT_REFERENCE_DELETE

          public static final TransactionTypeEnum CONTRACT_REFERENCE_DELETE

  - ### Method Detail

    - #### values

          public static TransactionTypeEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TransactionTypeEnum c : TransactionTypeEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TransactionTypeEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getTransactionType

          public TransactionType getTransactionType()